Loading...
Searching...
No Matches
TestDescription_CoeffsTestSuite_test_GF Class Reference

## Public Member Functions

| TestDescription_CoeffsTestSuite_test_GF ()
void | runTest ()
Public Member Functions inherited from CxxTest::RealTestDescription
| RealTestDescription ()
| RealTestDescription (List &argList, SuiteDescription &argSuite, unsigned argLine, const char *argTestName)
void | initialize (List &argList, SuiteDescription &argSuite, unsigned argLine, const char *argTestName)
const char * | file () const
unsigned | line () const
const char * | testName () const
const char * | suiteName () const
TestDescription * | next ()
const TestDescription * | next () const
TestSuite * | suite () const
bool | setUp ()
void | run ()
bool | tearDown ()
Public Member Functions inherited from CxxTest::TestDescription
virtual | ~TestDescription ()
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
void | attach (List &l)
void | detach (List &l)

## Detailed Description

Definition at line 68 of file coeffs_test_runner.cpp.

## Constructor & Destructor Documentation

## TestDescription_CoeffsTestSuite_test_GF()

TestDescription_CoeffsTestSuite_test_GF::TestDescription_CoeffsTestSuite_test_GF | ( |  | ) |

inline

Definition at line 70 of file coeffs_test_runner.cpp.

: CxxTest::RealTestDescription( Tests_CoeffsTestSuite, suiteDescription_CoeffsTestSuite, 422, "test_GF" ) {}
suiteDescription_CoeffsTestSuite
CxxTest::StaticSuiteDescription suiteDescription_CoeffsTestSuite("./coeffs_test.h", 353, "CoeffsTestSuite", suite_CoeffsTestSuite, Tests_CoeffsTestSuite)
Tests_CoeffsTestSuite
static CxxTest::List Tests_CoeffsTestSuite
Definition coeffs_test_runner.cpp:23

## Member Function Documentation

## runTest()

void TestDescription_CoeffsTestSuite_test_GF::runTest | ( |  | ) |

inline virtual

Implements CxxTest::RealTestDescription.

Definition at line 71 of file coeffs_test_runner.cpp.

{ suite_CoeffsTestSuite.test_GF(); }
CoeffsTestSuite::test_GF
void test_GF()
Definition coeffs_test.h:422
suite_CoeffsTestSuite
static CoeffsTestSuite suite_CoeffsTestSuite
Definition coeffs_test_runner.cpp:21

The documentation for this class was generated from the following file:

- libpolys/tests/coeffs_test_runner.cpp